{% load i18n static %}<!DOCTYPE html>
<html>
<head>
    <title>{% block fulltitle %}{% block title %}{% endblock %} - MoveAid {{ INFO_SYSTEM_INSTANCE_NAME }}{% endblock %}</title>

    <meta charset="utf-8">
    <meta name="author" content="Marco Marinello" >
    <meta name="copyright" content="Marco Marinello">

    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="stylesheet" href="{% static 'bootstrap-5.0.2/css/bootstrap.min.css' %}">


    <script type="text/javascript" src="{% static 'fontawesome5/js/all.js' %}"></script>
    <script type="text/javascript" src="{% static 'jquery3/jquery.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'popperjs1/popper.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'bootstrap-5.0.2/js/bootstrap.bundle.min.js' %}"></script>

    <link rel="shortcut icon" type="image/ico" href="{% static 'img/favicon.ico' %}"/>

    {% block extrahead %}{% endblock %}

    <link rel="stylesheet" href="{% static '../static/css/moveaid.css' %}">

</head>
<body>
    {% block standardcontent %}
    <style>

    .navbar-nav li {
        font-size: 1.25rem;
        margin: 0rem 0.5rem 0rem 0.5rem;
    }

    .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
    }

    body {
        padding-top: 4.5rem;
    }

    .logo {
        width: 2.3rem;
    }

    .circle-btn {
        border: 0;
        text-align: center;
        outline: 0;
        background-color: transparent;
        clip-path: circle(80%);
    }

    .circle-btn:hover {
        background-color: #f5f5f5;
    }

    @media (min-width: 768px) {
        .bd-placeholder-img-lg {
            font-size: 3.5rem;
        }

        .bg-custom{
            background-image: url("{% static 'img/bgBIG.svg' %}");
            background-repeat: no-repeat;
            height: 8%;
            background-position: center;
            background-size: cover;
        }
    }

    </style>

    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark bg-custom">
        <div class="container-fluid">

            <a href="{% url 'home' %}">
                <img class="logo m-1" src="{% static 'img/logoTrasp.png' %}" alt="logo" >
            </a>

            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarCollapse">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    {% block nav %}
                    {% endblock %}
                </ul>
                <ul class="navbar-nav ml-auto">
                    {% if user.is_authenticated %}
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            {% if user.get_full_name %}<b>{{ user.get_full_name }}</b> (<i>{{ user.username }}</i>){% else %}<b>{{ user.username }}</b>{% endif %}
                        </a>
                        <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                            {% if user.is_staff or user.is_superuser %}
                            <li><a class="dropdown-item" href="{% url 'admin:index' %}">
                                <i class="fas fa-tools"></i>
                                {% trans "Site administration" %}
                            </a></li>
                            {% endif %}
                            <li><a class="dropdown-item" href="{% url 'password_change' %}">
                                <i class="fas fa-key"></i>
                                {% trans "Change password" %}
                            </a></li>
                            <li><hr class="dropdown-divider"></li>
                            <li><a class="dropdown-item" href="{% url 'logout' %}">
                                <i class="fas fa-sign-out-alt"></i>
                                {% trans "Logout" %}
                            </a></li>
                        </ul>
                    </li>
                    {% endif %}
                </ul>
            </div>
        </div>
    </nav>
    <main class="container ">
        <div class="bg-light p-5 rounded">
            {% for message in messages %}
            <div class="alert alert-{{ message.tags }}" role="alert" onclick="$(this).slideUp();">
                {{ message }}
                <p class="float-end" onclick="$(this).parent().slideUp();"><i class="fas fa-times"></i></p>
            </div>
            {% endfor %}
            {% block content %}
            HELLO
            {% endblock content %}
        </div>
    </main>
    {% endblock standardcontent %}
</body>
</html>
